_NamingContextImplBase (Java Platform SE 8 )
Keywords: org.omg.CosNaming._NamingContextImplBase class
Date: 2016-07-28

org.omg.CosNaming

## Class _NamingContextImplBase

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA.DynamicImplementation
    - - org.omg.CosNaming._NamingContextImplBase

- All Implemented Interfaces:
    Serializable, Object, IDLEntity, NamingContext, NamingContextOperations

      public abstract class _NamingContextImplBase
      extends DynamicImplementation
      implements NamingContext

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `_NamingContextImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
    `void` | `invoke(ServerRequest r)`

    - ### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.omg.CosNaming.NamingContextOperations

      `bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

- - ### Constructor Detail

    - #### _NamingContextImplBase

          public _NamingContextImplBase()

  - ### Method Detail

    - #### _ids

          public String[] _ids()

      Description copied from class: `ObjectImpl`
      Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.
      Overrides:
        `_ids` in class `DynamicImplementation`
      Returns:
        the array of all repository identifiers supported by this `ObjectImpl` instance

    - #### invoke

          public void invoke(ServerRequest r)

      Overrides:
        `invoke` in class `DynamicImplementation`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.